//-------------------------------------------------------------------//
//                                                                   //
//  JFC Copyright (C) Glenn Rosenthal, 1999,2000,2001.               //
//  All rights reserved.                                             //
//                                                                   //
//-------------------------------------------------------------------//

//-------------------------------------------------------------------
//
//  This module implements the JFC_window class.  This class fucntions to manage
//  the main window, and control all of the Japanese text box controls, as well 
//  as the main button placement.
//

#ifndef jfc_wind_h
#define jfc_wind_h

#include "jfc_edit.h"

#define NUMBER_WINDOWS  25      // Determines the maximum number of text windows possible.

class JFC_window {
public:
  JFC_window (void);                        // Constructor.
  void adjust     (int count);              // Main routine, set the display to show a specific number of windows.
  int  initialize (void);                   // Generate all the windows.
  void space      (int start);              // Adjust the window spacing.
  void set        (int id,int expand);      // Set the current window.

  int            last_id;                   // Last ID used.
  int            number_windows;            // Number of possible windows 
  int            visible_windows;           // Number of visible windows
  class JFC_text windows [NUMBER_WINDOWS];  // Japanese text box list.
private:
  int            top_space;                 // Amount of space at top of display.
};

extern class JFC_window jfc_window;         // Class instance.


#endif jfc_wind_h

